## fpc 2.6.0-maemo2

=== demo/lister/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../../fpcsrc
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_PROGRAMS+=lister
endif
ifeq ($(FULL_TARGET),avr-embedded)

=== fpcsrc/packages/cairo/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=cairo
override PACKAGE_VERSION=2.6.0
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=cairo cairoft  cairowin32
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=cairo cairoft  cairoxlib
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=cairo cairoft
endif
ifeq ($(FULL_TARGET),arm-gba)

=== fpcsrc/packages/cdrom/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=cdrom
override PACKAGE_VERSION=2.6.0
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=cdrom discid fpcddb
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=cdrom discid fpcddb
endif

=== fpcsrc/packages/libsee/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=libsee
override PACKAGE_VERSION=2.6.0
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=libsee
endif
ifeq ($(FULL_TARGET),armeb-embedded)

=== fpcsrc/packages/openal/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=openal
override PACKAGE_VERSION=2.6.0
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=openal
endif
ifeq ($(FULL_TARGET),armeb-embedded)

=== fpcsrc/packages/opengl/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=opengl
override PACKAGE_VERSION=2.6.0
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=gl glu glut  glext
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=gl glu glut  glext
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=gl glu glut  glx glext
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=gl glu glut
endif
ifeq ($(FULL_TARGET),arm-embedded)

=== fpcsrc/packages/zlib/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=zlib
override PACKAGE_VERSION=2.6.0
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_UNITS+=zlib
endif
ifeq ($(FULL_TARGET),mipsel-linux)
override TARGET_UNITS+=zlib
endif

=== fpcsrc/packages/cdrom/examples/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_PROGRAMS+=getdiscid showcds
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_PROGRAMS+=getdiscid showcds
endif

=== fpcsrc/packages/opengl/examples/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=glutdemo morph3d bounce radblur glutdemova freeglutdemo  glxtest
endif

=== fpcsrc/packages/opengles/examples/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_PROGRAMS+=glutdemoes
endif
ifeq ($(FULL_TARGET),powerpc64-linux)

=== fpcsrc/packages/postgres/examples/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_PROGRAMS+=testpg1 testpg2
endif
ifeq ($(FULL_TARGET),arm-nds)

=== fpcsrc/packages/pxlib/examples/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_PROGRAMS+=ppxview
endif
ifeq ($(FULL_TARGET),mipsel-linux)
override TARGET_PROGRAMS+=ppxview
endif
override INSTALL_FPCPACKAGE=y
ifdef REQUIRE_UNITSDIR
override UNITSDIR+=$(REQUIRE_UNITSDIR)
endif
ifdef REQUIRE_PACKAGESDIR
override PACKAGESDIR+=$(REQUIRE_PACKAGESDIR)
endif
ifdef ZIPINSTALL
ifneq ($(findstring $(OS_TARGET),$(UNIXs)),)
UNIXHier=1
endif
else
ifneq ($(findstring $(OS_SOURCE),$(UNIXs)),)
UNIXHier=1
endif
endif
ifndef INSTALL_PREFIX
ifdef PREFIX
INSTALL_PREFIX=$(PREFIX)
endif
endif
ifndef INSTALL_PREFIX
ifdef UNIXHier
INSTALL_PREFIX=/usr/local
else
ifdef INSTALL_FPCPACKAGE
INSTALL_BASEDIR:=/pp
else
INSTALL_BASEDIR:=/$(PACKAGE_NAME)
endif
endif
endif
export INSTALL_PREFIX
ifdef INSTALL_FPCSUBDIR
export INSTALL_FPCSUBDIR
endif
ifndef DIST_DESTDIR
DIST_DESTDIR:=$(BASEDIR)
endif
export DIST_DESTDIR
ifndef COMPILER_UNITTARGETDIR
ifdef PACKAGEDIR_MAIN
COMPILER_UNITTARGETDIR=$(PACKAGEDIR_MAIN)/units/$(TARGETSUFFIX)
else
COMPILER_UNITTARGETDIR=units/$(TARGETSUFFIX)
endif
endif
ifndef COMPILER_TARGETDIR
COMPILER_TARGETDIR=.
endif
ifndef INSTALL_BASEDIR
ifdef UNIXHier
ifdef INSTALL_FPCPACKAGE
INSTALL_BASEDIR:=$(INSTALL_PREFIX)/lib/fpc/$(FPC_VERSION)
else
INSTALL_BASEDIR:=$(INSTALL_PREFIX)/lib/$(PACKAGE_NAME)
endif
else
INSTALL_BASEDIR:=$(INSTALL_PREFIX)
endif
endif
ifndef INSTALL_BINDIR
ifdef UNIXHier
INSTALL_BINDIR:=$(INSTALL_PREFIX)/bin
else
INSTALL_BINDIR:=$(INSTALL_BASEDIR)/bin
ifdef INSTALL_FPCPACKAGE
ifdef CROSSCOMPILE
ifdef CROSSINSTALL
INSTALL_BINDIR:=$(INSTALL_BINDIR)/$(SOURCESUFFIX)
else
INSTALL_BINDIR:=$(INSTALL_BINDIR)/$(TARGETSUFFIX)
endif
else
INSTALL_BINDIR:=$(INSTALL_BINDIR)/$(TARGETSUFFIX)
endif
endif
endif
endif
ifndef INSTALL_UNITDIR
INSTALL_UNITDIR:=$(INSTALL_BASEDIR)/units/$(TARGETSUFFIX)
ifdef INSTALL_FPCPACKAGE
ifdef PACKAGE_NAME
INSTALL_UNITDIR:=$(INSTALL_UNITDIR)/$(PACKAGE_NAME)
endif
endif
endif
ifndef INSTALL_LIBDIR
ifdef UNIXHier
INSTALL_LIBDIR:=$(INSTALL_PREFIX)/lib
else
INSTALL_LIBDIR:=$(INSTALL_UNITDIR)
endif
endif
ifndef INSTALL_SOURCEDIR
ifdef UNIXHier
ifdef BSDhier
SRCPREFIXDIR=share/src
else
ifdef linuxHier
SRCPREFIXDIR=share/src
else
SRCPREFIXDIR=src
endif
endif
ifdef INSTALL_FPCPACKAGE
ifdef INSTALL_FPCSUBDIR
INSTALL_SOURCEDIR:=$(INSTALL_PREFIX)/$(SRCPREFIXDIR)/fpc-$(FPC_VERSION)/$(INSTALL_FPCSUBDIR)/$(PACKAGE_NAME)
else
INSTALL_SOURCEDIR:=$(INSTALL_PREFIX)/$(SRCPREFIXDIR)/fpc-$(FPC_VERSION)/$(PACKAGE_NAME)
endif
else
INSTALL_SOURCEDIR:=$(INSTALL_PREFIX)/$(SRCPREFIXDIR)/$(PACKAGE_NAME)-$(PACKAGE_VERSION)
endif
else
ifdef INSTALL_FPCPACKAGE
ifdef INSTALL_FPCSUBDIR

=== debian/changelog ===
fpc (2.6.0-maemo2) unstable; urgency=low
  * Dropped dependency libdts-dev (fp-units-multimedia-2.6.0)
  * Dropper dependency libsvga1-dev (fp-units-gfx-2.6.0)
  * Renamed dependency a52dec-dev to the liba52-0.7.4-dev (fp-units-multimedia-2.6.0)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 25 Jun 2012 12:19:00 +0200

=== debian/control ===
Source: fpc
Section: devel
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5), fp-compiler-2.4.4, fp-units-2.4.4, fp-utils-2.4.4, mawk | awk, libncurses-dev, binutils, ghostscript
Build-Depends-Indep:
Vcs-Svn: https://bollin.googlecode.com/svn/fpc/trunk/
Vcs-Browser: http://bollin.googlecode.com/svn/fpc/trunk/
Homepage: http://www.freepascal.org/

Package: fpc-2.6.0
Architecture: all
Depends: ${misc:Depends}, fp-units-rtl-2.6.0 (>= ${binary:Version}), fp-compiler-2.6.0 (>= ${binary:Version}), fp-units-base-2.6.0 (>= ${binary:Version}), fp-ide-2.6.0 (>= ${binary:Version}), fp-units-fcl-2.6.0 (>= ${binary:Version}), fp-units-fv-2.6.0 (>= ${binary:Version}), fp-units-gtk-2.6.0 (>= ${binary:Version}), fp-units-gtk2-2.6.0 (>= ${binary:Version}), fp-units-gnome1-2.6.0 (>= ${binary:Version}), fp-units-db-2.6.0 (>= ${binary:Version}), fp-units-gfx-2.6.0 (>= ${binary:Version}), fp-units-net-2.6.0 (>= ${binary:Version}), fp-units-misc-2.6.0 (>= ${binary:Version}), fp-units-multimedia-2.6.0 (>= ${binary:Version}), fp-units-math-2.6.0 (>= ${binary:Version})
Recommends: fp-utils-2.6.0
Suggests: lazarus, fp-docs-2.6.0 (>= ${source:Upstream-Version})
Provides: fpc
Breaks: fpc (<= 2.4.0-3)
Replaces: fpc (<= 2.4.0-3)
Description: Free Pascal - SDK-2.6.0 metapackage
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 Some extensions are added to the language, like function overloading. Shared
 libraries can be linked and created. Delphi language extensions like classes,
 exceptions, ansi strings and open arrays are also supported.
 .
 This package contains dependency on all FPC packages provided on your
 architecture. Experienced users may want to install only packages they need,
 and can skip installing this metapackage.

Package: fpc-source-2.6.0
Architecture: all
Depends: ${misc:Depends}
Provides: fpc-source
Breaks: fpc-source (<= 2.4.0-3)
Replaces: fpc-source (<= 2.4.0-3)
Description: Free Pascal - SDK Source Code
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains Free Pascal's own source code. It is meant to be used by
 the Lazarus IDE.

Package: fp-compiler-2.6.0
Architecture: i386 powerpc sparc amd64 armel armhf
Depends: ${misc:Depends}, fp-units-rtl-2.6.0 (= ${binary:Version}), binutils
Recommends: fp-utils-2.6.0 (>= ${binary:Version})
Suggests: fp-docs-2.6.0 (>= ${source:Upstream-Version})
Provides: fp-compiler
Breaks: fp-compiler (<= 2.4.0-3), fp-utils-2.4.4 (<= 2.4.4-2), fp-utils-2.4.2 (<= 2.4.2-3)
Conflicts: binutils-gold
Replaces: fp-compiler (<= 2.4.0-3), fp-utils-2.4.4 (<= 2.4.4-1)
Description: Free Pascal - Compiler
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 Some extensions are added to the language, like function overloading. Shared
 libraries can be linked and created. Delphi language extensions like classes,
 exceptions, ansi strings and open arrays are also supported.
 .
 This package contains the command line compiler.

Package: fp-ide-2.6.0
Architecture: i386 powerpc sparc amd64 armel armhf
Depends: ${misc:Depends}, fp-units-rtl-2.6.0 (= ${binary:Version}), ${shlibs:Depends}
Recommends: fp-utils-2.6.0 (>= ${binary:Version})
Suggests: fp-docs-2.6.0 (>= ${source:Upstream-Version})
Provides: fp-ide
Breaks: fp-ide (<= 2.4.0-3)
Replaces: fp-ide (<= 2.4.0-3)
Description: Free Pascal - IDE
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 Some extensions are added to the language, like function overloading. Shared
 libraries can be linked and created. Delphi language extensions like classes,
 exceptions, ansi strings and open arrays are also supported.
 .
 This package contains the Integrated Development Environment (IDE). The IDE
 has an internal compiler.

Package: fp-utils-2.6.0
Architecture: i386 powerpc sparc amd64 armel armhf
Depends: ${misc:Depends}
Recommends: fp-compiler-2.6.0 (= ${binary:Version})
Provides: fp-utils
Breaks: fp-utils (<= 2.4.0-3), fp-compiler (<= 2.4.0-3), fp-units-gfx (<= 2.4.2-2), fp-units-gfx-2.4.2 (<= 2.4.2-2)
Replaces: fp-utils (<= 2.4.0-3), fp-compiler (<= 2.4.0-3)
Description: Free Pascal - Utils
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains some handy utils for usage with the Free Pascal
 Compiler:
   - ppumove     Place multiple units in a shared library
   - ppufiles    Show needed files for units
   - ppudump     Dump the information stored in a .ppu (unit) file
   - fpcmake     Create Makefile from Makefile.fpc
   - h2pas       Convert .h files to pascal units
   - ppdep       Create a dependency file which can be used with Makefiles
   - ptop        Source beautifier
   - data2inc    Convert binary/text data to include files
   - plex/pyacc  Pascal Lex/Yacc implementation

Package: fp-docs-2.6.0
Section: doc
Architecture: all
Depends: ${misc:Depends}
Provides: fp-docs
Breaks: fp-docs (<= 2.4.0-3)
Replaces: fp-docs (<= 2.4.0-3)
Description: Free Pascal - Documentation
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package provides documentation for the Free Pascal Compiler in HTML
 format.

Package: fp-units-rtl-2.6.0
Architecture: i386 powerpc sparc amd64 armel armhf
Depends: ${misc:Depends}
Recommends: fp-compiler-2.6.0 (= ${binary:Version})
Provides: fp-units-rtl, fpc-abi-${source:Upstream-Version}
Breaks: fp-units-rtl (<= 2.4.0-3)
Replaces: fp-units-rtl (<= 2.4.0-3)
Description: Free Pascal - Runtime Library
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains the Runtime Libraries for the Free Pascal Compiler.

Package: fp-units-base-2.6.0
Architecture: i386 powerpc sparc amd64 armel armhf
Depends: ${misc:Depends}, fp-units-rtl-2.6.0 (= ${binary:Version})
Provides: fp-units-base
Breaks: fp-units-base (<= 2.4.0-3)
Replaces: fp-units-base (<= 2.4.0-3)
Description: Free Pascal - base units
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains Free Pascal units for common libraries.  Some of these
 units are also required by the Free Component Library:
  - X11 (Xlib, Xutil)
  - NCurses
  - ZLib

Package: fp-units-fcl-2.6.0
Architecture: i386 powerpc sparc amd64 armel armhf
Depends: ${misc:Depends}, fp-units-rtl-2.6.0 (= ${binary:Version}), fp-units-base-2.6.0 (= ${binary:Version})
Provides: fp-units-fcl
Breaks: fp-units-fcl (<= 2.4.0-3)
Replaces: fp-units-fcl (<= 2.4.0-3)
Description: Free Pascal - Free Component Library
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains the Free Component Library for the Free Pascal Compiler.

Package: fp-units-fv-2.6.0
Architecture: i386 powerpc sparc amd64 armel armhf
Depends: ${misc:Depends}, fp-units-rtl-2.6.0 (= ${binary:Version})
Provides: fp-units-fv
Breaks: fp-units-fv (<= 2.4.0-3)
Replaces: fp-units-fv (<= 2.4.0-3)
Description: Free Pascal - Free Vision units
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains the Free Vision units for the Free Pascal Compiler.

Package: fp-units-gtk-2.6.0
Architecture: i386 powerpc sparc amd64 armel armhf
Depends: ${misc:Depends}, fp-units-rtl-2.6.0 (= ${binary:Version}), fp-units-fcl-2.6.0 (= ${binary:Version}), libgtk2.0-dev
Provides: fp-units-gtk
Breaks: fp-units-gtk (<= 2.4.0-3)
Replaces: fp-units-gtk (<= 2.4.0-3)
Description: Free Pascal - GTK+ 1.2 units
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains Free Pascal units and examples to create
 programs with GTK+ 1.2.

Package: fp-units-gtk2-2.6.0
Architecture: i386 powerpc sparc amd64 armel armhf
Depends: ${misc:Depends}, fp-units-rtl-2.6.0 (= ${binary:Version}), fp-units-fcl-2.6.0 (= ${binary:Version})
Provides: fp-units-gtk2
Breaks: fp-units-gtk2 (<= 2.4.0-3)
Replaces: fp-units-gtk2 (<= 2.4.0-3)
Description: Free Pascal - GTK+ 2.x units
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Free Pascal


DEB_PACKAGE_NAME = fpc
DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

# Documentation type to use pdf/html
ifeq (${DEBDOCTYPE},)
DOCTYPE=html
# HTML Converter l2h/4ht/hevea or html for (default)
CONVERTER=hevea
else
DOCTYPE=${DEBDOCTYPE}
CONVERTER=${DOCTYPE}
endif
# Undefine FPC if it was set
unexport FPC

# Detect name of new compiler, take care that debian uses amd64 instead of x86_64
CPU_SOURCE := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU))
CPU_TARGET := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU))

ifeq ($(CPU_TARGET),m68k)
PPSUF=68k
endif
ifeq ($(CPU_TARGET),i386)
PPSUF=386
endif
ifeq ($(CPU_TARGET),x86_64)
PPSUF=x64
endif
ifeq ($(CPU_TARGET),powerpc)
PPSUF=ppc
endif
ifeq ($(CPU_TARGET),alpha)
PPSUF=axp
endif
ifeq ($(CPU_TARGET),arm)
PPSUF=arm
endif
ifeq ($(CPU_TARGET),sparc)
PPSUF=sparc
endif

ifneq ($(CPU_SOURCE),$(CPU_TARGET))
PPPRE=ppcross
else
PPPRE=ppc
endif

PPNEW=$(PPPRE)$(PPSUF)

FPCTARGET=$(CPU_TARGET)-linux
# Get version information from changelog file
DEB_VERSION:=$(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ')
DEB_UPSTREAM_VERSION:=$(shell echo $(DEB_VERSION) | cut -f 1 -d -)
DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
ifndef PACKAGESUFFIX
export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
endif
# Get directories
BUILD_DIR:=$(shell pwd)
INSTALL_DIR=${BUILD_DIR}/debian/tmp
BIN_DIR=${INSTALL_DIR}/usr/bin
LIB_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
DOC_DIR=${INSTALL_DIR}/usr/share/doc
SRC_DIR=${INSTALL_DIR}/usr/share/fpcsrc/${DEB_UPSTREAM_MAIN_VERSION}
EXAMPLE_TEMP=${INSTALL_DIR}/usr/share/doc/fpc-${DEB_UPSTREAM_MAIN_VERSION}
STY_DIR=${INSTALL_DIR}/usr/share/texmf/tex/latex/fpc-${DEB_UPSTREAM_VERSION}
# Get utils
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef CP
CP=cp -Rfpl
endif
ifndef MV
MV=mv
endif
RM:=rm -rf
## Get fpcmake from path if none is specified.
#ifndef FPCMAKE
#FPCMAKE=fpcmake
#endif
FPCMAKE=/opt/fpc/bin/fpcmake
# Undefine FPCDIR if it was set
unexport FPCDIR
NEWPP=$(BUILD_DIR)/fpcsrc/compiler/$(PPNEW)
NEWFPDOC=$(BUILD_DIR)/fpcsrc/utils/fpdoc/fpdoc
# Set default compilation options
BUILDOPTS=PP=$(NEWPP)
ifdef CROSSOPT
BUILDOPTS+= CROSSOPT=${CROSSOPT}
endif
# NEWFPCMAKE=$(PWD)/utils/fpcm/fpcmake where?
INSTALLOPTS=INSTALL_PREFIX=$(INSTALL_DIR)/usr PP=$(NEWPP) FPCMAKE=/opt/fpc/bin/fpcmake

export GDBLIBDIR=/usr/lib

#specify arm variant explicitly so we can use a starting
#compiler from a different arm variant (for bootstrapping)
ifeq ($(CPU_TARGET),arm)
  DEBIANARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
  ifeq ($(DEBIANARCH),arm)
    CYCLEOPTS := OPT='-dFPC_OARM'
  else
    CYCLEOPTS := OPT='-dFPC_$(DEBIANARCH)'
  endif
else
  CYCLEOPTS=
endif

#export DH_VERBOSE=1

###################
# Clean
#

clean: configure clean-patched
	${RM} build-arch-stamp install-arch-stamp arrange-arch-stamp configure-stamp
	${RM} install-man-stamp
	${RM} build-doc-stamp install-doc-stamp
	${RM} build-indep-stamp install-indep-stamp
	${RM} install-source-stamp
	${RM} debian/*.install
	${RM} debian/*.config
	${RM} debian/*.doc-base
	${RM} debian/*.links
	${RM} debian/*.manpages
	${RM} debian/*.preinst
	${RM} debian/*.prerm
	${RM} debian/*.templates
	${RM} debian/README*.Debian
	${RM} debian/copyright
	${RM} debian/fpc-depends
	${RM} debian-files-stamp
	${RM} debian/files debian/docs debian/dirs debian/*.files debian/*.docs debian/*.examples debian/*.postinst debian/*.postrm
	${RM} debian/fpc-depends-${DEB_UPSTREAM_MAIN_VERSION}.1
	# Remove auto-generated version file.
	${RM} fpcsrc/compiler/version.inc
	#remove some stuff that seems to get left behind by the upstream build
	${RM} fpcsrc/compiler/utils/msg2inc
	${RM} fpcdocs/fpdoc.haux
	${RM} fpcdocs/prog.haux
	${RM} fpcdocs/ref.haux
	${RM} fpcdocs/ref.hind
	${RM} fpcdocs/user.haux
	
	dh_clean

clean-patched:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	$(MAKE) -C fpcsrc compiler_distclean
	$(MAKE) -C fpcsrc rtl_distclean
	$(MAKE) -C fpcsrc packages_distclean
	$(MAKE) -C fpcsrc ide_distclean
	$(MAKE) -C fpcsrc utils_distclean
	$(MAKE) -C fpcdocs clean
	#find -regex '.*\.\(a\|or?\|so\.*\|ppu\)' -delete #there are no 'find -delete' on autobuilder
	find -regex '.*\.\(a\|or?\|so\.*\|ppu\)' -exec rm -f \{\} \;
	dh_prep

###################
# Debian files
#

debian-files: debian-files-stamp
debian-files-stamp:
	@echo "--- Creating/fixing *.install files"
	/bin/bash debian/fixdeb debian $(FPCTARGET) $(PPNEW)
	touch debian-files-stamp

###################
# Arch packages
#

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Remove auto-generated version file.
	${RM} fpcsrc/compiler/version.inc
	# Add version.inc:
	echo \'$(DEB_VERSION)\' > fpcsrc/compiler/version.inc
	touch configure-stamp

build-arch: debian-files configure build-arch-stamp
build-arch-stamp:
	@echo "--- Building"
	dh_testdir
	# First make a new Compiler using a make cycle
	$(MAKE) -C fpcsrc compiler_cycle $(CYCLEOPTS)
	# Then build RTL using new compiler
	$(MAKE) -C fpcsrc rtl_clean rtl_smart $(BUILDOPTS)
	# Finally build packages and tools using new compiler and new RTL
	$(MAKE) -C fpcsrc packages_smart $(BUILDOPTS)
	$(MAKE) -C fpcsrc ide_all $(BUILDOPTS)
	$(MAKE) -C fpcsrc utils_all $(BUILDOPTS)
	touch build-arch-stamp

install-arch: build-arch install-arch-stamp
install-arch-stamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_installdirs
	# create all necessary directories
	${MKDIR} ${BIN_DIR}
	${MKDIR} ${LIB_DIR}
	${MKDIR} ${STY_DIR}
	# Specify the compiler to use so installing will use the correct versioned dir
	$(MAKE) -C fpcsrc compiler_distinstall $(INSTALLOPTS)
	$(MAKE) -C fpcsrc rtl_distinstall $(INSTALLOPTS)
	$(MAKE) -C fpcsrc packages_distinstall $(INSTALLOPTS)
	$(MAKE) -C fpcsrc ide_distinstall $(INSTALLOPTS) INSTALL_DOCDIR=$(DOC_DIR)/fp-ide/${DEB_UPSTREAM_MAIN_VERSION}
	$(MAKE) -C fpcsrc utils_distinstall $(INSTALLOPTS)
	#${MV} -t ${LIB_DIR} ${INSTALL_DIR}/usr/lib/fpc/lexyacc #autobuilder:  invalid option -- t
	${MV} ${INSTALL_DIR}/usr/lib/fpc/lexyacc ${LIB_DIR} 
	#${CP} -t  ${BIN_DIR} debian/fpc-depends #autobuilder:  invalid option -- t
	${CP}  debian/fpc-depends ${BIN_DIR}
	# Copy examples to the correct doc dir
	/bin/bash debian/moveexamples ${EXAMPLE_TEMP} ${DOC_DIR} ${DEB_UPSTREAM_MAIN_VERSION}
	# Rename executables
	for f in  ${BIN_DIR}/* ; do ${MV} $$f $${f}-${DEB_UPSTREAM_MAIN_VERSION} ; done
	# Install RTL demos
	$(MAKE) -C demo sourceinstall $(INSTALLOPTS) INSTALL_SOURCEDIR=$(DOC_DIR)/fp-compiler/${DEB_UPSTREAM_MAIN_VERSION}
	# Install whatsnew and readme
	$(MAKE) -C install/doc installdoc $(INSTALLOPTS) INSTALL_DOCDIR=$(DOC_DIR)/fp-compiler/${DEB_UPSTREAM_MAIN_VERSION}
	# Install fpdoc latex styles
	#${CP} -t ${STY_DIR} \ #autobuilder:  invalid option -- t
	#	${BUILD_DIR}/fpcdocs/*.sty
	${CP} ${BUILD_DIR}/fpcdocs/*.sty ${STY_DIR} 

	# Install lintian override files
	set -x -e ; cd debian/overrides ; for PACKAGE in * ; do \
	  if [ -d ../$${PACKAGE}${PACKAGESUFFIX} ] ; \
	  then \
	  	${MKDIR} ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides ; \
	    sed -e "s/$${PACKAGE}/&${PACKAGESUFFIX}/g" $${PACKAGE} > ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides/$${PACKAGE}${PACKAGESUFFIX} ; \
	  fi ; \
	done
ifeq (${DEB_BUILD},0)
	# We are building upstream debs, install override files for build = 0
	set -x -e ; cd debian ; for PACKAGE in `sed -n -e 's/Package: \(.*\)/\1/p' control` ; do \
	  if [ -d $${PACKAGE} ] ; \
	  then \
	    ${MKDIR} $${PACKAGE}/usr/share/lintian/overrides ; \
	    echo "$${PACKAGE}: debian-revision-should-not-be-zero" >> $${PACKAGE}/usr/share/lintian/overrides/$${PACKAGE} ; \
	  fi ; \
	done
endif
	#find ${INSTALL_DIR} -empty -delete
	find ${INSTALL_DIR} -empty -exec rm -f \{\} \;
	touch install-arch-stamp
